Index: ram/execkey.s
===================================================================
--- ram/execkey.s	(revision f40a3096572fd1b0696a7f7c717464e68652e655)
+++ ram/execkey.s	(revision a6f5b952e80b43751c6e71c39b103f7d314f8e4e)
@@ -6026,131 +6026,131 @@
 		asr.l	D1,D0
 		move	D0,R_FPMANT
-*
-*	fpexp = expbit[pt->iptim & 0x000F];
-*
-		and	#$000F,D2
+
+|	fpexp = expbit[pt->iptim & 0x000F];
+
+		and	#0x000F,D2
 		move	D2,A0
 		add.l	A0,A0
 		add.l	#_expbit,A0
 		move	(A0),R_FPEXP
-*
-		.page
-*
-*		fp->idfpch = pch;
-*
+
+		.page
+
+|		fp->idfpch = pch;
+
 F10L163:	move	PCH(A6),(A_FP)
-*
-*		fpval = tfpval;
-*
+
+|		fpval = tfpval;
+
 		move	TFPVAL(A6),R_FPVAL
-*
-		.page
-*
+
+		.page
+
 		move.b	5(A_FP),D0
 		ext.w	D0
 		sub.w	#1,D0
 		movea.l	PT(A6),A0
-*
-*	oldi = setipl(FPU_DI);
-*
+
+|	oldi = setipl(FPU_DI);
+
 		move	sr,OLDI(A6)
 		move	#FPU_DI,sr
-*
+
 F10L168:	clr.b	10(A0)
 		add.l	#12,a0
 		dbra	D0,F10L168
-*
-		.page
-*
-*	fp->idftmd ^= I_NVBITS;
-*
+
+		.page
+
+|	fp->idftmd ^= I_NVBITS;
+
 F10L165:	eor.b	#24,7(A_FP)
-*
-*	fpctl = (fp->idftmd & (I_NRATIO | I_NVBITS)) | 0x0003;
-*
+
+|	fpctl = (fp->idftmd & (I_NRATIO | I_NVBITS)) | 0x0003;
+
 		move.b	7(A_FP),R_FPCTL
 		and	#28,R_FPCTL
 		or	#3,R_FPCTL
-*
-*	fp->idfcpt = fp->idfpt1;
-*
+
+|	fp->idfcpt = fp->idfpt1;
+
 		move.b	6(A_FP),8(A_FP)
-*
-*	fp->idftmd |= I_ACTIVE;
-*
+
+|	fp->idftmd |= I_ACTIVE;
+
 		or.b	#2,7(A_FP)
-*
-*	fp->idftrf = trg;
-*
+
+|	fp->idftrf = trg;
+
 		move	TRG(A6),10(A_FP)
-*
-*	*(fpu + (long)FPU_TCV1) = srcval;
-*
-		move	SRCVAL(A6),$8(A_FPU)
-*
-*	++octype;
-*
+
+|	|(fpu + (long)FPU_TCV1) = srcval;
+
+		move	SRCVAL(A6),0x8(A_FPU)
+
+|	++octype;
+
 		add	#1,OCTYPE(A6)
-*
-*	*(fpu + (long)FPU_TSF1) = mltval;
-*
-		move	MLTVAL(A6),$A(A_FPU)
-*
-*	++octype;
-*
+
+|	|(fpu + (long)FPU_TSF1) = mltval;
+
+		move	MLTVAL(A6),0xA(A_FPU)
+
+|	++octype;
+
 		add	#1,OCTYPE(A6)
-*
-*	*(fpu + (long)FPU_TMNT) = fpmant;
-*
-		move	R_FPMANT,$14(A_FPU)
-*
-*	++octype;
-*
+
+|	|(fpu + (long)FPU_TMNT) = fpmant;
+
+		move	R_FPMANT,0x14(A_FPU)
+
+|	++octype;
+
 		add	#1,OCTYPE(A6)
-*
-*	*(fpu + (long)FPU_TEXP) = fpexp;
-*
-		move	R_FPEXP,$16(A_FPU)
-*
-*	++octype;
-*
+
+|	|(fpu + (long)FPU_TEXP) = fpexp;
+
+		move	R_FPEXP,0x16(A_FPU)
+
+|	++octype;
+
 		add	#1,OCTYPE(A6)
-*
-		.page
-*
-*	if (fp->idftmd & I_VNSUBN)
-*
+
+		.page
+
+|	if (fp->idftmd & I_VNSUBN)
+
 		btst	#3,7(A_FP)
 		beq	F10L169
-*
-*		*(fpu + (long)FPU_TNV1) = fpval;
-*
-		move	R_FPVAL,$1C(A_FPU)
+
+|		|(fpu + (long)FPU_TNV1) = fpval;
+
+		move	R_FPVAL,0x1C(A_FPU)
 		bra	F10L170
-*
-*	else
-*		*(fpu + (long)FPU_TNV0) = fpval;
-*
+
+|	else
+|		|(fpu + (long)FPU_TNV0) = fpval;
+
 F10L169:	move	R_FPVAL,2(A_FPU)
-*
-*	++octype;
-*
+
+|	++octype;
+
 F10L170:	add	#1,OCTYPE(A6)
-*
-*	*(fpu + (long)FPU_TCTL) = fpctl;
-*
+
+|	|(fpu + (long)FPU_TCTL) = fpctl;
+
 		move	R_FPCTL,(A_FPU)
-*
-*	setipl(oldi);
-*
+
+|	setipl(oldi);
+
 		move	OLDI(A6),sr
-*
-		.page
-* ------------------------------------------------------------------------------
-* Start function 11 -- Ind 6
-* ------------------------------------------------------------------------------
-*
-*    if (ip->idhfnc[11].idftmd & I_TM_KEY) {
-*
+
+		.page
+| ------------------------------------------------------------------------------
+| Start function 11 -- Ind 6
+| ------------------------------------------------------------------------------
+
+|    if (ip->idhfnc[11].idftmd & I_TM_KEY) {
+
 FN11:		move.l	IP(A6),A0
 		move.b	225(A0),D0
@@ -6159,29 +6159,29 @@
 		btst	#0,D0
 		bne	FN11A
-*
+
 		jmp	FN12
-*
-*	vp = (vce << 4) + 15;
-*
+
+|	vp = (vce << 4) + 15;
+
 FN11A:		move	VCE(A6),D0
 		asl	#4,D0
 		add.w	#15,D0
 		move	D0,VP(A6)
-*
-*	fpu = io_fpu + FPU_OFNC + (vp << 4);
-*
+
+|	fpu = io_fpu + FPU_OFNC + (vp << 4);
+
 		asl	#5,D0
 		ext.l	D0
 		move.l	D0,A_FPU
-		add.l	#_io_fpu+$4000,A_FPU
-*
-*	fp = &ip->idhfnc[11];
-*
+		add.l	#_io_fpu+0x4000,A_FPU
+
+|	fp = &ip->idhfnc[11];
+
 		move.l	#132,A_FP
 		add.l	IP(A6),A_FP
 		add.l	#86,A_FP
-*
-*	pt = &ip->idhpnt[fp->idfpt1];
-*
+
+|	pt = &ip->idhpnt[fp->idfpt1];
+
 		clr.l	D0
 		move.b	6(A_FP),D0
@@ -6193,9 +6193,9 @@
 		add.l	#242,D0
 		move.l	D0,PT(A6)
-*
-		.page
-*
-*	srcnum = group | fp->idfsrc;
-*
+
+		.page
+
+|	srcnum = group | fp->idfsrc;
+
 		move.w	GROUP(A6),D0
 		ext.l	D0
@@ -6204,7 +6204,7 @@
 		or	D1,D0
 		move	D0,SRCNUM(A6)
-*
-*	vep = &valents[srcnum];
-*
+
+|	vep = &valents[srcnum];
+
 		add.l	D0,D0
 		move.l	D0,D1
@@ -6213,7 +6213,7 @@
 		add.l	#_valents,D0
 		move.l	D0,VEP(A6)
-*
-*	smp = vpsms[vp];
-*
+
+|	smp = vpsms[vp];
+
 		move	VP(A6),A0
 		add.l	A0,A0
@@ -6221,104 +6221,104 @@
 		add.l	#_vpsms,A0
 		move.l	(A0),A_SMP
-*
-*	if (srcnum NE smp->sm) {
-*
+
+|	if (srcnum NE smp->sm) {
+
 		clr	D0
 		move	10(A_SMP),D0
 		cmp	SRCNUM(A6),D0
 		beq	F11L113
-*
-*		(smp->prv)->nxt = smp->nxt;
-*
+
+|		(smp->prv)->nxt = smp->nxt;
+
 		move.l	4(A_SMP),A0
 		move.l	(A_SMP),(A0)
-*
-*		(smp->nxt)->prv = smp->prv;
-*
+
+|		(smp->nxt)->prv = smp->prv;
+
 		move.l	(A_SMP),A0
 		move.l	4(A_SMP),4(A0)
-*
-*		smp->prv = (struct sment *)vep;
-*
+
+|		smp->prv = (struct sment |)vep;
+
 		move.l	VEP(A6),4(A_SMP)
-*
-*		smp->nxt = vep->nxt;
-*
+
+|		smp->nxt = vep->nxt;
+
 		move.l	VEP(A6),A0
 		move.l	(A0),(A_SMP)
-*
-*		(vep->nxt)->prv = smp;
-*
+
+|		(vep->nxt)->prv = smp;
+
 		move.l	VEP(A6),A0
 		move.l	(A0),A0
 		move.l	A_SMP,4(A0)
-*
-*		vep->nxt = smp;
-*
+
+|		vep->nxt = smp;
+
 		move.l	VEP(A6),A0
 		move.l	A_SMP,(A0)
-*
-*		smp->sm = srcnum;
-*
+
+|		smp->sm = srcnum;
+
 		move	SRCNUM(A6),10(A_SMP)
-*
-*	}
-*
-*	mltval = fp->idfmlt;
-*
+
+|	}
+
+|	mltval = fp->idfmlt;
+
 F11L113:	move	2(A_FP),MLTVAL(A6)
-*
-		.page
-*
-*	switch (fp->idfsrc) {
-*
+
+		.page
+
+|	switch (fp->idfsrc) {
+
 		move.b	4(A_FP),D0
 		ext.w	d0
 		cmp	#10,D0
 		bhi	F11L122
-*
+
 		asl	#2,D0
 		lea	F11L123,A0
 		movea.l	0(A0,D0.W),A0
 		jmp	(A0)
-*
-*	case SM_NONE:
-*		mltval = 0;
-*
+
+|	case SM_NONE:
+|		mltval = 0;
+
 F11L116:	clr	MLTVAL(A6)
-*
-*		tsrcval = 0;
-*
+
+|		tsrcval = 0;
+
 		clr	TSRCVAL(A6)
-*
-*		break;
-*
+
+|		break;
+
 		bra	F11L114
-*
-*	case SM_RAND:
-*		tsrcval = xgetran(mltval);
-*
+
+|	case SM_RAND:
+|		tsrcval = xgetran(mltval);
+
 F11L117:	move	MLTVAL(A6),(sp)
 		jsr	_xgetran
 		move	D0,TSRCVAL(A6)
-*
-*		break;
-*
+
+|		break;
+
 		bra	F11L114
-*
-*	case SM_PTCH:
-*		tsrcval = pch;
-*
+
+|	case SM_PTCH:
+|		tsrcval = pch;
+
 F11L118:	move	PCH(A6),TSRCVAL(A6)
-*
-*		break;
-*
+
+|		break;
+
 		bra	F11L114
-*
-		.page
-*
-*	case SM_FREQ:
-*		tsrcval = ptoftab[(pch >> 7) & 0x00FF];
-*
+
+		.page
+
+|	case SM_FREQ:
+|		tsrcval = ptoftab[(pch >> 7) & 0x00FF];
+
 F11L119:	move	PCH(A6),D0
 		asr	#7,D0
@@ -6328,57 +6328,57 @@
 		add.l	#_ptoftab,A0
 		move	(A0),TSRCVAL(A6)
-*
-*		break;
-*
+
+|		break;
+
 		bra	F11L114
-*
-*	case SM_KVEL:
-*		tsrcval = veltab[trg];
-*
+
+|	case SM_KVEL:
+|		tsrcval = veltab[trg];
+
 F11L120:	move	TRG(A6),A0
 		add.l	A0,A0
 		add.l	#_veltab,A0
 		move	(A0),TSRCVAL(A6)
-*
-*		break;
-*
+
+|		break;
+
 		bra	F11L114
-*
-*	case SM_KPRS:
-*		tsrcval = prstab[trg];
-*
+
+|	case SM_KPRS:
+|		tsrcval = prstab[trg];
+
 F11L121:	move	TRG(A6),A0
 		add.l	A0,A0
 		add.l	#_prstab,A0
 		move	(A0),TSRCVAL(A6)
-*
-*		break;
-*
+
+|		break;
+
 		bra	F11L114
-*
-*	default:
-*		tsrcval = vep->val;
-*
+
+|	default:
+|		tsrcval = vep->val;
+
 F11L122:	move.l	VEP(A6),A0
 		move	8(A0),TSRCVAL(A6)
-*
-*	}
-*
-		.page
-*
-*		srcval = tsrcval;
-*
+
+|	}
+
+		.page
+
+|		srcval = tsrcval;
+
 F11L114:	move	TSRCVAL(A6),SRCVAL(A6)
-*
-		.page
-*
-*	if (pt->ipvsrc) {
-*
+
+		.page
+
+|	if (pt->ipvsrc) {
+
 F11L124:	move.l	PT(A6),A0
 		tst.b	6(A0)
 		beq	F11L136
-*
-*		switch (pt->ipvsrc) {
-*
+
+|		switch (pt->ipvsrc) {
+
 		move.l	PT(A6),A0
 		move.b	6(A0),D0
@@ -6387,13 +6387,13 @@
 		cmp	#9,D0
 		bhi	F11L144
-*
+
 		asl	#2,D0
 		lea	F11L145,A0
 		move.l	0(A0,D0.W),A0
 		jmp	(A0)
-*
-*		case SM_RAND:
-*			ltmp = xgetran(pt_>ipvmlt);
-*
+
+|		case SM_RAND:
+|			ltmp = xgetran(pt_>ipvmlt);
+
 F11L139:	move.l	PT(A6),A0
 		move	4(A0),(sp)
@@ -6401,24 +6401,24 @@
 		ext.l	D0
 		move.l	D0,LTMP(A6)
-*
-*			break;
-*
+
+|			break;
+
 		bra	F11L137
-*
-*		case SM_PTCH:
-*			ltmp = pch;
-*
+
+|		case SM_PTCH:
+|			ltmp = pch;
+
 F11L140:	move	PCH(A6),A0
 		move.l	A0,LTMP(A6)
-*
-*			break;
-*
+
+|			break;
+
 		bra	F11L137
-*
-		.page
-*
-*		case SM_FREQ:
-*			ltmp = ptoftab[(pch >> 7) & 0x00FF];
-*
+
+		.page
+
+|		case SM_FREQ:
+|			ltmp = ptoftab[(pch >> 7) & 0x00FF];
+
 F11L141:	move	PCH(A6),D0
 		asr	#7,D0
@@ -6430,12 +6430,12 @@
 		ext.l	D0
 		move.l	D0,LTMP(A6)
-*
-*			break;
-*
+
+|			break;
+
 		bra	F11L137
-*
-*		case SM_KVEL:
-*			ltmp = veltab[trg];
-*
+
+|		case SM_KVEL:
+|			ltmp = veltab[trg];
+
 F11L142:	move	TRG(A6),A0
 		add.l	A0,A0
@@ -6444,14 +6444,14 @@
 		ext.l	D0
 		move.l	D0,LTMP(A6)
-*
-*			break;
-*
+
+|			break;
+
 		bra	F11L137
-*
-		.page
-*
-*		case SM_KPRS:
-*			ltmp = prstab[trg];
-*
+
+		.page
+
+|		case SM_KPRS:
+|			ltmp = prstab[trg];
+
 F11L143:	move	TRG(A6),A0
 		add.l	A0,A0
@@ -6460,14 +6460,14 @@
 		ext.l	D0
 		move.l	D0,LTMP(A6)
-*
-*			break;
-*
+
+|			break;
+
 		bra	F11L137
-*
-		.page
-*
-*		default:
-*			ltmp = valents[group | pt->ipvsrc].val;
-*
+
+		.page
+
+|		default:
+|			ltmp = valents[group | pt->ipvsrc].val;
+
 F11L144:	move.l	PT(A6),A0
 		clr.l	D0
@@ -6483,12 +6483,12 @@
 		move	8(A0,A1.l),D0
 		move.l	D0,LTMP(A6)
-*
-*		}
-*
-*
-		.page
-*
-*		ltmp = (ltmp * pt->ipvmlt) >> 15;
-*
+
+|		}
+
+
+		.page
+
+|		ltmp = (ltmp | pt->ipvmlt) >> 15;
+
 F11L137:	move.l	PT(A6),A0
 		move.w	4(A0),D0
@@ -6498,52 +6498,52 @@
 		asr.l	D1,D0
 		move.l	D0,LTMP(A6)
-*
-*		ltmp += (long)pt->ipval;
-*
+
+|		ltmp += (long)pt->ipval;
+
 		move.l	PT(A6),A0
 		move	2(A0),D0
 		ext.l	D0
 		add.l	D0,LTMP(A6)
-*
-*		if (ltmp GT (long)VALMAX)
-*			ltmp = (long)VALMAX;
-*
+
+|		if (ltmp GT (long)VALMAX)
+|			ltmp = (long)VALMAX;
+
 		cmp.l	#VALMAX,LTMP(A6)
 		ble	F11L146
-*
+
 		move.l	#VALMAX,LTMP(A6)
 		bra	F11L147
-*
-*		else if (ltmp LT (long)VALMIN)
-*			ltmp = (long)VALMIN;
-*
+
+|		else if (ltmp LT (long)VALMIN)
+|			ltmp = (long)VALMIN;
+
 F11L146:	cmp.l	#VALMIN,LTMP(A6)
 		bge	F11L147
-*
+
 		move.l	#VALMIN,LTMP(A6)
-*
-*		tfpval = (short)ltmp;
-*
+
+|		tfpval = (short)ltmp;
+
 F11L147:	move.w	LTMP+2(A6),TFPVAL(A6)
 		bra	F11L149
-*
-*	} else {
-*
-*		tfpval = pt->ipval;
-*
+
+|	} else {
+
+|		tfpval = pt->ipval;
+
 F11L136:	move.l	PT(A6),A0
 		move	2(A0),TFPVAL(A6)
-*
-*	}
-*
-		.page
-*
-*	fpmant = (((long)pt->iptom & 0x0000FFF0L)
-*		* ((long)timemlt & 0x0000FFFFL)) >> 15;
-*
+
+|	}
+
+		.page
+
+|	fpmant = (((long)pt->iptom & 0x0000FFF0L)
+|		| ((long)timemlt & 0x0000FFFFL)) >> 15;
+
 F11L149:	move.l	PT(A6),A0
 		move.w	(A0),D0
 		move.w	D0,D2
-		andi.w	#$FFF0,D0
+		andi.w	#0xFFF0,D0
 		move.w	_timemlt,D1
 		muls	D1,D0
@@ -6551,131 +6551,131 @@
 		asr.l	D1,D0
 		move	D0,R_FPMANT
-*
-*	fpexp = expbit[pt->iptim & 0x000F];
-*
-		and	#$000F,D2
+
+|	fpexp = expbit[pt->iptim & 0x000F];
+
+		and	#0x000F,D2
 		move	D2,A0
 		add.l	A0,A0
 		add.l	#_expbit,A0
 		move	(A0),R_FPEXP
-*
-		.page
-*
-*		fp->idfpch = pch;
-*
+
+		.page
+
+|		fp->idfpch = pch;
+
 F11L163:	move	PCH(A6),(A_FP)
-*
-*		fpval = tfpval;
-*
+
+|		fpval = tfpval;
+
 		move	TFPVAL(A6),R_FPVAL
-*
-		.page
-*
+
+		.page
+
 		move.b	5(A_FP),D0
 		ext.w	D0
 		sub.w	#1,D0
 		movea.l	PT(A6),A0
-*
-*	oldi = setipl(FPU_DI);
-*
+
+|	oldi = setipl(FPU_DI);
+
 		move	sr,OLDI(A6)
 		move	#FPU_DI,sr
-*
+
 F11L168:	clr.b	10(A0)
 		add.l	#12,a0
 		dbra	D0,F11L168
-*
-		.page
-*
-*	fp->idftmd ^= I_NVBITS;
-*
+
+		.page
+
+|	fp->idftmd ^= I_NVBITS;
+
 F11L165:	eor.b	#24,7(A_FP)
-*
-*	fpctl = (fp->idftmd & (I_NRATIO | I_NVBITS)) | 0x0003;
-*
+
+|	fpctl = (fp->idftmd & (I_NRATIO | I_NVBITS)) | 0x0003;
+
 		move.b	7(A_FP),R_FPCTL
 		and	#28,R_FPCTL
 		or	#3,R_FPCTL
-*
-*	fp->idfcpt = fp->idfpt1;
-*
+
+|	fp->idfcpt = fp->idfpt1;
+
 		move.b	6(A_FP),8(A_FP)
-*
-*	fp->idftmd |= I_ACTIVE;
-*
+
+|	fp->idftmd |= I_ACTIVE;
+
 		or.b	#2,7(A_FP)
-*
-*	fp->idftrf = trg;
-*
+
+|	fp->idftrf = trg;
+
 		move	TRG(A6),10(A_FP)
-*
-*	*(fpu + (long)FPU_TCV1) = srcval;
-*
-		move	SRCVAL(A6),$8(A_FPU)
-*
-*	++octype;
-*
+
+|	|(fpu + (long)FPU_TCV1) = srcval;
+
+		move	SRCVAL(A6),0x8(A_FPU)
+
+|	++octype;
+
 		add	#1,OCTYPE(A6)
-*
-*	*(fpu + (long)FPU_TSF1) = mltval;
-*
-		move	MLTVAL(A6),$A(A_FPU)
-*
-*	++octype;
-*
+
+|	|(fpu + (long)FPU_TSF1) = mltval;
+
+		move	MLTVAL(A6),0xA(A_FPU)
+
+|	++octype;
+
 		add	#1,OCTYPE(A6)
-*
-*	*(fpu + (long)FPU_TMNT) = fpmant;
-*
-		move	R_FPMANT,$14(A_FPU)
-*
-*	++octype;
-*
+
+|	|(fpu + (long)FPU_TMNT) = fpmant;
+
+		move	R_FPMANT,0x14(A_FPU)
+
+|	++octype;
+
 		add	#1,OCTYPE(A6)
-*
-*	*(fpu + (long)FPU_TEXP) = fpexp;
-*
-		move	R_FPEXP,$16(A_FPU)
-*
-*	++octype;
-*
+
+|	|(fpu + (long)FPU_TEXP) = fpexp;
+
+		move	R_FPEXP,0x16(A_FPU)
+
+|	++octype;
+
 		add	#1,OCTYPE(A6)
-*
-		.page
-*
-*	if (fp->idftmd & I_VNSUBN)
-*
+
+		.page
+
+|	if (fp->idftmd & I_VNSUBN)
+
 		btst	#3,7(A_FP)
 		beq	F11L169
-*
-*		*(fpu + (long)FPU_TNV1) = fpval;
-*
-		move	R_FPVAL,$1C(A_FPU)
+
+|		|(fpu + (long)FPU_TNV1) = fpval;
+
+		move	R_FPVAL,0x1C(A_FPU)
 		bra	F11L170
-*
-*	else
-*		*(fpu + (long)FPU_TNV0) = fpval;
-*
+
+|	else
+|		|(fpu + (long)FPU_TNV0) = fpval;
+
 F11L169:	move	R_FPVAL,2(A_FPU)
-*
-*	++octype;
-*
+
+|	++octype;
+
 F11L170:	add	#1,OCTYPE(A6)
-*
-*	*(fpu + (long)FPU_TCTL) = fpctl;
-*
+
+|	|(fpu + (long)FPU_TCTL) = fpctl;
+
 		move	R_FPCTL,(A_FPU)
-*
-*	setipl(oldi);
-*
+
+|	setipl(oldi);
+
 		move	OLDI(A6),sr
-*
-		.page
-* ------------------------------------------------------------------------------
-* Start function 12 -- Level
-* ------------------------------------------------------------------------------
-*
-*    if (ip->idhfnc[12].idftmd & I_TM_KEY) {
-*
+
+		.page
+| ------------------------------------------------------------------------------
+| Start function 12 -- Level
+| ------------------------------------------------------------------------------
+
+|    if (ip->idhfnc[12].idftmd & I_TM_KEY) {
+
 FN12:		move.l	IP(A6),A0
 		move.b	237(A0),D0
@@ -6684,29 +6684,29 @@
 		btst	#0,D0
 		bne	FN12A
-*
+
 		jmp	FNEXIT
-*
-*	vp = (vce << 4) + 2;
-*
+
+|	vp = (vce << 4) + 2;
+
 FN12A:		move	VCE(A6),D0
 		asl	#4,D0
 		add.w	#2,D0
 		move	D0,VP(A6)
-*
-*	fpu = io_fpu + FPU_OFNC + (vp << 4);
-*
+
+|	fpu = io_fpu + FPU_OFNC + (vp << 4);
+
 		asl	#5,D0
 		ext.l	D0
 		move.l	D0,A_FPU
-		add.l	#_io_fpu+$4000,A_FPU
-*
-*	fp = &ip->idhfnc[12];
-*
+		add.l	#_io_fpu+0x4000,A_FPU
+
+|	fp = &ip->idhfnc[12];
+
 		move.l	#144,A_FP
 		add.l	IP(A6),A_FP
 		add.l	#86,A_FP
-*
-*	pt = &ip->idhpnt[fp->idfpt1];
-*
+
+|	pt = &ip->idhpnt[fp->idfpt1];
+
 		clr.l	D0
 		move.b	6(A_FP),D0
@@ -6718,9 +6718,9 @@
 		add.l	#242,D0
 		move.l	D0,PT(A6)
-*
-		.page
-*
-*	srcnum = group | fp->idfsrc;
-*
+
+		.page
+
+|	srcnum = group | fp->idfsrc;
+
 		move.w	GROUP(A6),D0
 		ext.l	D0
@@ -6729,7 +6729,7 @@
 		or	D1,D0
 		move	D0,SRCNUM(A6)
-*
-*	vep = &valents[srcnum];
-*
+
+|	vep = &valents[srcnum];
+
 		add.l	D0,D0
 		move.l	D0,D1
@@ -6738,7 +6738,7 @@
 		add.l	#_valents,D0
 		move.l	D0,VEP(A6)
-*
-*	smp = vpsms[vp];
-*
+
+|	smp = vpsms[vp];
+
 		move	VP(A6),A0
 		add.l	A0,A0
@@ -6746,104 +6746,104 @@
 		add.l	#_vpsms,A0
 		move.l	(A0),A_SMP
-*
-*	if (srcnum NE smp->sm) {
-*
+
+|	if (srcnum NE smp->sm) {
+
 		clr	D0
 		move	10(A_SMP),D0
 		cmp	SRCNUM(A6),D0
 		beq	F12L113
-*
-*		(smp->prv)->nxt = smp->nxt;
-*
+
+|		(smp->prv)->nxt = smp->nxt;
+
 		move.l	4(A_SMP),A0
 		move.l	(A_SMP),(A0)
-*
-*		(smp->nxt)->prv = smp->prv;
-*
+
+|		(smp->nxt)->prv = smp->prv;
+
 		move.l	(A_SMP),A0
 		move.l	4(A_SMP),4(A0)
-*
-*		smp->prv = (struct sment *)vep;
-*
+
+|		smp->prv = (struct sment |)vep;
+
 		move.l	VEP(A6),4(A_SMP)
-*
-*		smp->nxt = vep->nxt;
-*
+
+|		smp->nxt = vep->nxt;
+
 		move.l	VEP(A6),A0
 		move.l	(A0),(A_SMP)
-*
-*		(vep->nxt)->prv = smp;
-*
+
+|		(vep->nxt)->prv = smp;
+
 		move.l	VEP(A6),A0
 		move.l	(A0),A0
 		move.l	A_SMP,4(A0)
-*
-*		vep->nxt = smp;
-*
+
+|		vep->nxt = smp;
+
 		move.l	VEP(A6),A0
 		move.l	A_SMP,(A0)
-*
-*		smp->sm = srcnum;
-*
+
+|		smp->sm = srcnum;
+
 		move	SRCNUM(A6),10(A_SMP)
-*
-*	}
-*
-*	mltval = fp->idfmlt;
-*
+
+|	}
+
+|	mltval = fp->idfmlt;
+
 F12L113:	move	2(A_FP),MLTVAL(A6)
-*
-		.page
-*
-*	switch (fp->idfsrc) {
-*
+
+		.page
+
+|	switch (fp->idfsrc) {
+
 		move.b	4(A_FP),D0
 		ext.w	d0
 		cmp	#10,D0
 		bhi	F12L122
-*
+
 		asl	#2,D0
 		lea	F12L123,A0
 		movea.l	0(A0,D0.W),A0
 		jmp	(A0)
-*
-*	case SM_NONE:
-*		mltval = 0;
-*
+
+|	case SM_NONE:
+|		mltval = 0;
+
 F12L116:	clr	MLTVAL(A6)
-*
-*		tsrcval = 0;
-*
+
+|		tsrcval = 0;
+
 		clr	TSRCVAL(A6)
-*
-*		break;
-*
+
+|		break;
+
 		bra	F12L114
-*
-*	case SM_RAND:
-*		tsrcval = xgetran(mltval);
-*
+
+|	case SM_RAND:
+|		tsrcval = xgetran(mltval);
+
 F12L117:	move	MLTVAL(A6),(sp)
 		jsr	_xgetran
 		move	D0,TSRCVAL(A6)
-*
-*		break;
-*
+
+|		break;
+
 		bra	F12L114
-*
-*	case SM_PTCH:
-*		tsrcval = pch;
-*
+
+|	case SM_PTCH:
+|		tsrcval = pch;
+
 F12L118:	move	PCH(A6),TSRCVAL(A6)
-*
-*		break;
-*
+
+|		break;
+
 		bra	F12L114
-*
-		.page
-*
-*	case SM_FREQ:
-*		tsrcval = ptoftab[(pch >> 7) & 0x00FF];
-*
+
+		.page
+
+|	case SM_FREQ:
+|		tsrcval = ptoftab[(pch >> 7) & 0x00FF];
+
 F12L119:	move	PCH(A6),D0
 		asr	#7,D0
@@ -6853,57 +6853,57 @@
 		add.l	#_ptoftab,A0
 		move	(A0),TSRCVAL(A6)
-*
-*		break;
-*
+
+|		break;
+
 		bra	F12L114
-*
-*	case SM_KVEL:
-*		tsrcval = veltab[trg];
-*
+
+|	case SM_KVEL:
+|		tsrcval = veltab[trg];
+
 F12L120:	move	TRG(A6),A0
 		add.l	A0,A0
 		add.l	#_veltab,A0
 		move	(A0),TSRCVAL(A6)
-*
-*		break;
-*
+
+|		break;
+
 		bra	F12L114
-*
-*	case SM_KPRS:
-*		tsrcval = prstab[trg];
-*
+
+|	case SM_KPRS:
+|		tsrcval = prstab[trg];
+
 F12L121:	move	TRG(A6),A0
 		add.l	A0,A0
 		add.l	#_prstab,A0
 		move	(A0),TSRCVAL(A6)
-*
-*		break;
-*
+
+|		break;
+
 		bra	F12L114
-*
-*	default:
-*		tsrcval = vep->val;
-*
+
+|	default:
+|		tsrcval = vep->val;
+
 F12L122:	move.l	VEP(A6),A0
 		move	8(A0),TSRCVAL(A6)
-*
-*	}
-*
-		.page
-*
-*		srcval = tsrcval;
-*
+
+|	}
+
+		.page
+
+|		srcval = tsrcval;
+
 F12L114:	move	TSRCVAL(A6),SRCVAL(A6)
-*
-		.page
-*
-*	if (pt->ipvsrc) {
-*
+
+		.page
+
+|	if (pt->ipvsrc) {
+
 F12L124:	move.l	PT(A6),A0
 		tst.b	6(A0)
 		beq	F12L136
-*
-*		switch (pt->ipvsrc) {
-*
+
+|		switch (pt->ipvsrc) {
+
 		move.l	PT(A6),A0
 		move.b	6(A0),D0
@@ -6912,13 +6912,13 @@
 		cmp	#9,D0
 		bhi	F12L144
-*
+
 		asl	#2,D0
 		lea	F12L145,A0
 		move.l	0(A0,D0.W),A0
 		jmp	(A0)
-*
-*		case SM_RAND:
-*			ltmp = xgetran(pt_>ipvmlt);
-*
+
+|		case SM_RAND:
+|			ltmp = xgetran(pt_>ipvmlt);
+
 F12L139:	move.l	PT(A6),A0
 		move	4(A0),(sp)
@@ -6926,24 +6926,24 @@
 		ext.l	D0
 		move.l	D0,LTMP(A6)
-*
-*			break;
-*
+
+|			break;
+
 		bra	F12L137
-*
-*		case SM_PTCH:
-*			ltmp = pch;
-*
+
+|		case SM_PTCH:
+|			ltmp = pch;
+
 F12L140:	move	PCH(A6),A0
 		move.l	A0,LTMP(A6)
-*
-*			break;
-*
+
+|			break;
+
 		bra	F12L137
-*
-		.page
-*
-*		case SM_FREQ:
-*			ltmp = ptoftab[(pch >> 7) & 0x00FF];
-*
+
+		.page
+
+|		case SM_FREQ:
+|			ltmp = ptoftab[(pch >> 7) & 0x00FF];
+
 F12L141:	move	PCH(A6),D0
 		asr	#7,D0
@@ -6955,12 +6955,12 @@
 		ext.l	D0
 		move.l	D0,LTMP(A6)
-*
-*			break;
-*
+
+|			break;
+
 		bra	F12L137
-*
-*		case SM_KVEL:
-*			ltmp = veltab[trg];
-*
+
+|		case SM_KVEL:
+|			ltmp = veltab[trg];
+
 F12L142:	move	TRG(A6),A0
 		add.l	A0,A0
@@ -6969,14 +6969,14 @@
 		ext.l	D0
 		move.l	D0,LTMP(A6)
-*
-*			break;
-*
+
+|			break;
+
 		bra	F12L137
-*
-		.page
-*
-*		case SM_KPRS:
-*			ltmp = prstab[trg];
-*
+
+		.page
+
+|		case SM_KPRS:
+|			ltmp = prstab[trg];
+
 F12L143:	move	TRG(A6),A0
 		add.l	A0,A0
@@ -6985,14 +6985,14 @@
 		ext.l	D0
 		move.l	D0,LTMP(A6)
-*
-*			break;
-*
+
+|			break;
+
 		bra	F12L137
-*
-		.page
-*
-*		default:
-*			ltmp = valents[group | pt->ipvsrc].val;
-*
+
+		.page
+
+|		default:
+|			ltmp = valents[group | pt->ipvsrc].val;
+
 F12L144:	move.l	PT(A6),A0
 		clr.l	D0
@@ -7008,12 +7008,12 @@
 		move	8(A0,A1.l),D0
 		move.l	D0,LTMP(A6)
-*
-*		}
-*
-*
-		.page
-*
-*		ltmp = (ltmp * pt->ipvmlt) >> 15;
-*
+
+|		}
+
+
+		.page
+
+|		ltmp = (ltmp | pt->ipvmlt) >> 15;
+
 F12L137:	move.l	PT(A6),A0
 		move.w	4(A0),D0
@@ -7023,52 +7023,52 @@
 		asr.l	D1,D0
 		move.l	D0,LTMP(A6)
-*
-*		ltmp += (long)pt->ipval;
-*
+
+|		ltmp += (long)pt->ipval;
+
 		move.l	PT(A6),A0
 		move	2(A0),D0
 		ext.l	D0
 		add.l	D0,LTMP(A6)
-*
-*		if (ltmp GT (long)VALMAX)
-*			ltmp = (long)VALMAX;
-*
+
+|		if (ltmp GT (long)VALMAX)
+|			ltmp = (long)VALMAX;
+
 		cmp.l	#VALMAX,LTMP(A6)
 		ble	F12L146
-*
+
 		move.l	#VALMAX,LTMP(A6)
 		bra	F12L147
-*
-*		else if (ltmp LT (long)VALMIN)
-*			ltmp = (long)VALMIN;
-*
+
+|		else if (ltmp LT (long)VALMIN)
+|			ltmp = (long)VALMIN;
+
 F12L146:	cmp.l	#VALMIN,LTMP(A6)
 		bge	F12L147
-*
+
 		move.l	#VALMIN,LTMP(A6)
-*
-*		tfpval = (short)ltmp;
-*
+
+|		tfpval = (short)ltmp;
+
 F12L147:	move.w	LTMP+2(A6),TFPVAL(A6)
 		bra	F12L149
-*
-*	} else {
-*
-*		tfpval = pt->ipval;
-*
+
+|	} else {
+
+|		tfpval = pt->ipval;
+
 F12L136:	move.l	PT(A6),A0
 		move	2(A0),TFPVAL(A6)
-*
-*	}
-*
-		.page
-*
-*	fpmant = (((long)pt->iptom & 0x0000FFF0L)
-*		* ((long)timemlt & 0x0000FFFFL)) >> 15;
-*
+
+|	}
+
+		.page
+
+|	fpmant = (((long)pt->iptom & 0x0000FFF0L)
+|		| ((long)timemlt & 0x0000FFFFL)) >> 15;
+
 F12L149:	move.l	PT(A6),A0
 		move.w	(A0),D0
 		move.w	D0,D2
-		andi.w	#$FFF0,D0
+		andi.w	#0xFFF0,D0
 		move.w	_timemlt,D1
 		muls	D1,D0
@@ -7076,145 +7076,145 @@
 		asr.l	D1,D0
 		move	D0,R_FPMANT
-*
-*	fpexp = expbit[pt->iptim & 0x000F];
-*
-		and	#$000F,D2
+
+|	fpexp = expbit[pt->iptim & 0x000F];
+
+		and	#0x000F,D2
 		move	D2,A0
 		add.l	A0,A0
 		add.l	#_expbit,A0
 		move	(A0),R_FPEXP
-*
-		.page
-*
-*		fp->idfpch = pch;
-*
+
+		.page
+
+|		fp->idfpch = pch;
+
 F12L162:	move	PCH(A6),(A_FP)
-*
-*		fpval = ((tfpval >> 5) - 500) << 6;
-*
+
+|		fpval = ((tfpval >> 5) - 500) << 6;
+
 		move	TFPVAL(A6),R_FPVAL
 		asr	#5,R_FPVAL
 		add	#-500,R_FPVAL
 		asl	#6,R_FPVAL
-*
-		.page
-*
+
+		.page
+
 		move.b	5(A_FP),D0
 		ext.w	D0
 		sub.w	#1,D0
 		movea.l	PT(A6),A0
-*
-*	oldi = setipl(FPU_DI);
-*
+
+|	oldi = setipl(FPU_DI);
+
 		move	sr,OLDI(A6)
 		move	#FPU_DI,sr
-*
+
 F12L168:	clr.b	10(A0)
 		add.l	#12,a0
 		dbra	D0,F12L168
-*
-		.page
-*
-*	fp->idftmd ^= I_NVBITS;
-*
+
+		.page
+
+|	fp->idftmd ^= I_NVBITS;
+
 F12L165:	eor.b	#24,7(A_FP)
-*
-*	fpctl = (fp->idftmd & (I_NRATIO | I_NVBITS)) | 0x0003;
-*
+
+|	fpctl = (fp->idftmd & (I_NRATIO | I_NVBITS)) | 0x0003;
+
 		move.b	7(A_FP),R_FPCTL
 		and	#28,R_FPCTL
 		or	#3,R_FPCTL
-*
-*	fp->idfcpt = fp->idfpt1;
-*
+
+|	fp->idfcpt = fp->idfpt1;
+
 		move.b	6(A_FP),8(A_FP)
-*
-*	fp->idftmd |= I_ACTIVE;
-*
+
+|	fp->idftmd |= I_ACTIVE;
+
 		or.b	#2,7(A_FP)
-*
-*	fp->idftrf = trg;
-*
+
+|	fp->idftrf = trg;
+
 		move	TRG(A6),10(A_FP)
-*
-*	*(fpu + (long)FPU_TCV1) = srcval;
-*
-		move	SRCVAL(A6),$8(A_FPU)
-*
-*	++octype;
-*
+
+|	|(fpu + (long)FPU_TCV1) = srcval;
+
+		move	SRCVAL(A6),0x8(A_FPU)
+
+|	++octype;
+
 		add	#1,OCTYPE(A6)
-*
-*	*(fpu + (long)FPU_TSF1) = mltval;
-*
-		move	MLTVAL(A6),$A(A_FPU)
-*
-*	++octype;
-*
+
+|	|(fpu + (long)FPU_TSF1) = mltval;
+
+		move	MLTVAL(A6),0xA(A_FPU)
+
+|	++octype;
+
 		add	#1,OCTYPE(A6)
-*
-*	*(fpu + (long)FPU_TMNT) = fpmant;
-*
-		move	R_FPMANT,$14(A_FPU)
-*
-*	++octype;
-*
+
+|	|(fpu + (long)FPU_TMNT) = fpmant;
+
+		move	R_FPMANT,0x14(A_FPU)
+
+|	++octype;
+
 		add	#1,OCTYPE(A6)
-*
-*	*(fpu + (long)FPU_TEXP) = fpexp;
-*
-		move	R_FPEXP,$16(A_FPU)
-*
-*	++octype;
-*
+
+|	|(fpu + (long)FPU_TEXP) = fpexp;
+
+		move	R_FPEXP,0x16(A_FPU)
+
+|	++octype;
+
 		add	#1,OCTYPE(A6)
-*
-		.page
-*
-*	if (fp->idftmd & I_VNSUBN)
-*
+
+		.page
+
+|	if (fp->idftmd & I_VNSUBN)
+
 		btst	#3,7(A_FP)
 		beq	F12L169
-*
-*		*(fpu + (long)FPU_TNV1) = fpval;
-*
-		move	R_FPVAL,$1C(A_FPU)
+
+|		|(fpu + (long)FPU_TNV1) = fpval;
+
+		move	R_FPVAL,0x1C(A_FPU)
 		bra	F12L170
-*
-*	else
-*		*(fpu + (long)FPU_TNV0) = fpval;
-*
+
+|	else
+|		|(fpu + (long)FPU_TNV0) = fpval;
+
 F12L169:	move	R_FPVAL,2(A_FPU)
-*
-*	++octype;
-*
+
+|	++octype;
+
 F12L170:	add	#1,OCTYPE(A6)
-*
-*	*(fpu + (long)FPU_TCTL) = fpctl;
-*
+
+|	|(fpu + (long)FPU_TCTL) = fpctl;
+
 		move	R_FPCTL,(A_FPU)
-*
-*	setipl(oldi);
-*
+
+|	setipl(oldi);
+
 		move	OLDI(A6),sr
-*
-*    }
-*
-		.page
-*
+
+|    }
+
+		.page
+
 FNEXIT:		tst.l	(sp)+
 		movem.l	(sp)+,R_FPVAL-R_FPMANT/A_SMP-A_FP
 		unlk	A6
 		rts
-*
-* }
-*
-		.page
-*
+
+| }
+
+		.page
+
 		.data
-*
-* Jump tables for switch statements
-* ---------------------------------
-*
+
+| Jump tables for switch statements
+| ---------------------------------
+
 F00L123:	.dc.l	F00L116
 		.dc.l	F00L117
@@ -7228,5 +7228,5 @@
 		.dc.l	F00L122
 		.dc.l	F00L119
-*
+
 F00L145:	.dc.l	F00L139
 		.dc.l	F00L144
@@ -7239,5 +7239,5 @@
 		.dc.l	F00L144
 		.dc.l	F00L141
-*
+
 F01L123:	.dc.l	F01L116
 		.dc.l	F01L117
@@ -7251,5 +7251,5 @@
 		.dc.l	F01L122
 		.dc.l	F01L119
-*
+
 F01L145:	.dc.l	F01L139
 		.dc.l	F01L144
@@ -7262,5 +7262,5 @@
 		.dc.l	F01L144
 		.dc.l	F01L141
-*
+
 F02L123:	.dc.l	F02L116
 		.dc.l	F02L117
@@ -7274,5 +7274,5 @@
 		.dc.l	F02L122
 		.dc.l	F02L119
-*
+
 F02L145:	.dc.l	F02L139
 		.dc.l	F02L144
@@ -7285,5 +7285,5 @@
 		.dc.l	F02L144
 		.dc.l	F02L141
-*
+
 F03L123:	.dc.l	F03L116
 		.dc.l	F03L117
@@ -7297,5 +7297,5 @@
 		.dc.l	F03L122
 		.dc.l	F03L119
-*
+
 F03L145:	.dc.l	F03L139
 		.dc.l	F03L144
@@ -7308,5 +7308,5 @@
 		.dc.l	F03L144
 		.dc.l	F03L141
-*
+
 F04L123:	.dc.l	F04L116
 		.dc.l	F04L117
@@ -7320,5 +7320,5 @@
 		.dc.l	F04L122
 		.dc.l	F04L119
-*
+
 F04L145:	.dc.l	F04L139
 		.dc.l	F04L144
@@ -7331,5 +7331,5 @@
 		.dc.l	F04L144
 		.dc.l	F04L141
-*
+
 F05L123:	.dc.l	F05L116
 		.dc.l	F05L117
@@ -7343,5 +7343,5 @@
 		.dc.l	F05L122
 		.dc.l	F05L119
-*
+
 F05L145:	.dc.l	F05L139
 		.dc.l	F05L144
@@ -7354,5 +7354,5 @@
 		.dc.l	F05L144
 		.dc.l	F05L141
-*
+
 F06L123:	.dc.l	F06L116
 		.dc.l	F06L117
@@ -7366,5 +7366,5 @@
 		.dc.l	F06L122
 		.dc.l	F06L119
-*
+
 F06L145:	.dc.l	F06L139
 		.dc.l	F06L144
@@ -7377,5 +7377,5 @@
 		.dc.l	F06L144
 		.dc.l	F06L141
-*
+
 F07L123:	.dc.l	F07L116
 		.dc.l	F07L117
@@ -7389,5 +7389,5 @@
 		.dc.l	F07L122
 		.dc.l	F07L119
-*
+
 F07L145:	.dc.l	F07L139
 		.dc.l	F07L144
@@ -7400,5 +7400,5 @@
 		.dc.l	F07L144
 		.dc.l	F07L141
-*
+
 F08L123:	.dc.l	F08L116
 		.dc.l	F08L117
@@ -7412,5 +7412,5 @@
 		.dc.l	F08L122
 		.dc.l	F08L119
-*
+
 F08L145:	.dc.l	F08L139
 		.dc.l	F08L144
@@ -7423,5 +7423,5 @@
 		.dc.l	F08L144
 		.dc.l	F08L141
-*
+
 F09L123:	.dc.l	F09L116
 		.dc.l	F09L117
@@ -7435,5 +7435,5 @@
 		.dc.l	F09L122
 		.dc.l	F09L119
-*
+
 F09L145:	.dc.l	F09L139
 		.dc.l	F09L144
@@ -7446,5 +7446,5 @@
 		.dc.l	F09L144
 		.dc.l	F09L141
-*
+
 F10L123:	.dc.l	F10L116
 		.dc.l	F10L117
@@ -7458,5 +7458,5 @@
 		.dc.l	F10L122
 		.dc.l	F10L119
-*
+
 F10L145:	.dc.l	F10L139
 		.dc.l	F10L144
@@ -7469,5 +7469,5 @@
 		.dc.l	F10L144
 		.dc.l	F10L141
-*
+
 F11L123:	.dc.l	F11L116
 		.dc.l	F11L117
@@ -7481,5 +7481,5 @@
 		.dc.l	F11L122
 		.dc.l	F11L119
-*
+
 F11L145:	.dc.l	F11L139
 		.dc.l	F11L144
@@ -7492,5 +7492,5 @@
 		.dc.l	F11L144
 		.dc.l	F11L141
-*
+
 F12L123:	.dc.l	F12L116
 		.dc.l	F12L117
@@ -7504,5 +7504,5 @@
 		.dc.l	F12L122
 		.dc.l	F12L119
-*
+
 F12L145:	.dc.l	F12L139
 		.dc.l	F12L144
@@ -7515,7 +7515,7 @@
 		.dc.l	F12L144
 		.dc.l	F12L141
-*
-* vbtab -- vbuf pointer table -- indexed by voice number
-* -----    ---------------------------------------------
+
+| vbtab -- vbuf pointer table -- indexed by voice number
+| -----    ---------------------------------------------
 vbtab:		.dc.l	_vbufs
 		.dc.l	_vbufs+VBLEN
@@ -7530,4 +7530,4 @@
 		.dc.l	_vbufs+(10*VBLEN)
 		.dc.l	_vbufs+(11*VBLEN)
-*
+
 		.end
